### Method

# Gegl Color set_hsva

#### Declaration [src]

    void
    gegl_color_set_hsva (
      GeglColor* color,
      gdouble hue,
      gdouble saturation,
      gdouble value,
      gdouble alpha,
      const Babl* space
    )

#### Description [src]

Set color as HSVA data stored as `space`. If `space` is `NULL`, this is equivalent to storing with the default sRGB space.

#### Parameters

`hue`

  Type: `gdouble`

  Hue value.

`saturation`

  Type: `gdouble`

  Saturation value.

`value`

  Type: `gdouble`

  Value value.

`alpha`

  Type: `gdouble`

  Alpha value.

`space`

  Type: `Babl`

  RGB space.

  The argument can be `NULL`.
  The data is owned by the caller of the method.